
TrailerSoundRegister = {};
TrailerSoundRegister.isLoaded = true;
TrailerSoundRegister.g_currentModDirectory = g_currentModDirectory;

if SpecializationUtil.specializations["TrailerSound"] == nil then
	SpecializationUtil.registerSpecialization("TrailerSound", "TrailerSound", g_currentModDirectory.."TrailerSound.lua")
	SpecializationUtil.registerSpecialization("TrailerSoundTrailer", "TrailerSoundTrailer", g_currentModDirectory.."TrailerSoundTrailer.lua")
	TrailerSoundRegister.isLoaded = false;
end;

function TrailerSoundRegister:loadMap(name)	
  if not TrailerSoundRegister.isLoaded then	
		TrailerSoundRegister:add();
    TrailerSoundRegister.isLoaded = true;
  end;
end;

function TrailerSoundRegister:deleteMap()
end;

function TrailerSoundRegister:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TrailerSoundRegister:keyEvent(unicode, sym, modifier, isDown)
end;

function TrailerSoundRegister:update(dt)
end;

function TrailerSoundRegister:draw()
end;

function TrailerSoundRegister:add()
	print("=== "..g_i18n:getText("TRAILER_SOUND_VERSION").." by Mogli, LudmillaPower & charly_99 ===")

	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		local correctLocation     = false;
		local correctLocation2    = false;
		for i = 1, table.maxn(v.specializations) do
			local vs = v.specializations[i];
			if      vs ~= nil 
					and vs == SpecializationUtil.getSpecialization("steerable") then
				correctLocation = true;
				break;
			end;
			if      vs ~= nil 
					and vs == SpecializationUtil.getSpecialization("trailer") then
				correctLocation2 = true;
				break;
			end;
		end;
		
		if correctLocation then
			table.insert(v.specializations, SpecializationUtil.getSpecialization("TrailerSound"));
		end;
		if correctLocation2 then
			table.insert(v.specializations, SpecializationUtil.getSpecialization("TrailerSoundTrailer"));
		end;
	end;	
	
	g_i18n.globalI18N.texts["TRAILER_SOUND_VERSION"] = g_i18n:getText("TRAILER_SOUND_VERSION");
	g_i18n.globalI18N.texts["TRAILER_SOUND_ON"]      = g_i18n:getText("TRAILER_SOUND_ON");
	g_i18n.globalI18N.texts["TRAILER_SOUND_OFF"]     = g_i18n:getText("TRAILER_SOUND_OFF");
	
end;

addModEventListener(TrailerSoundRegister);
